Bug 168092 - kernel hangs on boot after ata device detection, kernel module ata_piix.ko
kernel hangs on boot after ata device detection, kernel module ata_piix.ko
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-12 08:22 EDT by Richard Neuboeck
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.13-1.1526_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-04 07:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Neuboeck 2005-09-12 08:22:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
After upgrading to kernel 2.6.12-1.1447_FC4smp or kernel-2.6.12-1.1447_FC4 the system stops during the boot process. However the system still reacts to a soft reboot (CTRL-ALT-DEL). The last displayed kernel messages are as follows:

Loading ata_piix.ko module
ata1: SATA max UDMA/133 cmd 0x6800 ctl 0x6402 bmdma 0x5400 irq 66
ata2: SATA max UDMA/133 cmd 0x6000 ctl 0x5802 bmdma 0x5408 irq 66
ata1: dev 0 ATA, max UDMA/133 490234752 sectors: lba48



Version-Release number of selected component (if applicable):
kernel-smp-2.6.12-1.1447_FC4 and kernel-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1. install kernel kernel-smp-2.6.12-1.1447_FC4 or kernel-2.6.12-1.1447_FC4
2. reboot the system
  

Actual Results:  the system stops the boot process

Expected Results:  the sata controll and its disc should have been initialized properly and the boot process should go on

Additional info:

CPU:
Intel(R) Pentium(R) D CPU 3.00GHz

lspci output for the SATA controller:
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) Serial ATA Storage Controllers cc=IDE (rev 01)

hard disc:
Model: Maxtor 6L250S0
Comment 1 Dave Jones 2005-09-30 02:43:22 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.